<p align="center">
    <img alt="clippy the assistant" src="https://i.imgur.com/37uBGhO.gif">
</p>

<p align="center">
    Easily generate .docx files with JS/TS. Works for Node and on the Browser.
</p>

---

[![NPM version][npm-image]][npm-url]
[![Downloads per month][downloads-image]][downloads-url]
[![Build Status][travis-image]][travis-url]
[![Dependency Status][daviddm-image]][daviddm-url]
[![Known Vulnerabilities][snky-image]][snky-url]
[![Chat on Gitter][gitter-image]][gitter-url]
[![PRs Welcome][pr-image]][pr-url]
[![codecov][codecov-image]][codecov-url]

<p align="center">
    <img src="https://i.imgur.com/H5FA1Qy.gif" alt="drawing" width="800"/>
</p>

# Demo

## Browser

Here are examples of `docx` being used with basic `HTML/JS` in a browser environment:

*   https://codepen.io/anon/pen/dqoVgQ
*   https://jsfiddle.net/3xhezb5w/2

Here is an example of `docx` working in `Angular`:

*   https://stackblitz.com/edit/angular-afvxtz

## Node

Press `endpoint` on the `RunKit` website:

![RunKit Instructions](https://user-images.githubusercontent.com/2917613/38582539-f84311b6-3d07-11e8-90db-5885ae02c3c4.png)

*   https://runkit.com/dolanmiu/docx-demo1 - Simple paragraph and text
*   https://runkit.com/dolanmiu/docx-demo2 - Advanced Paragraphs and text
*   https://runkit.com/dolanmiu/docx-demo3 - Bullet points
*   https://runkit.com/dolanmiu/docx-demo4 - Simple table
*   https://runkit.com/dolanmiu/docx-demo5 - Images
*   https://runkit.com/dolanmiu/docx-demo6 - Margins
*   https://runkit.com/dolanmiu/docx-demo7 - Landscape
*   https://runkit.com/dolanmiu/docx-demo8 - Header and Footer
*   https://runkit.com/dolanmiu/docx-demo10 - **My CV generated with docx**

More [here](https://docx.js.org/#/examples) and [here](https://github.com/dolanmiu/docx/tree/master/demo)

# How to use & Documentation

Please refer to the [documentation at https://docx.js.org/](https://docx.js.org/) for details on how to use this library, examples and much more!

# Examples

Check the `examples` section in the [documentation](https://docx.js.org/#/examples) and the [demo folder](https://github.com/dolanmiu/docx/tree/master/demo) for examples.

# Contributing

Read the contribution guidelines [here](https://docx.js.org/#/contribution-guidelines).

# Used by

[<img src="https://i.imgur.com/zy5qWmI.png" alt="drawing" height="200"/>](https://hfour.com/)
[<img src="https://i.imgur.com/OYP5tgS.png" alt="drawing" height="200"/>](https://fuzzproductions.com/)
[<img src="https://i.imgur.com/zUDMfZ3.png" alt="drawing" height="200"/>](https://www.mettzer.com/)

---

[![patreon][patreon-image]][patreon-url]
[![browserstack][browserstack-image]][browserstack-url]

Made with 💖

[npm-image]: https://badge.fury.io/js/docx.svg
[npm-url]: https://npmjs.org/package/docx
[downloads-image]: https://img.shields.io/npm/dm/docx.svg
[downloads-url]: https://npmjs.org/package/docx
[travis-image]: https://travis-ci.org/dolanmiu/docx.svg?branch=master
[travis-url]: https://travis-ci.org/dolanmiu/docx
[daviddm-image]: https://david-dm.org/dolanmiu/docx.svg?theme=shields.io
[daviddm-url]: https://david-dm.org/dolanmiu/docx
[snky-image]: https://snyk.io/test/github/dolanmiu/docx/badge.svg
[snky-url]: https://snyk.io/test/github/dolanmiu/docx
[gitter-image]: https://badges.gitter.im/dolanmiu/docx.svg
[gitter-url]: https://gitter.im/docx-lib/Lobby
[pr-image]: https://img.shields.io/badge/PRs-welcome-brightgreen.svg
[pr-url]: http://makeapullrequest.com
[codecov-image]: https://codecov.io/gh/dolanmiu/docx/branch/master/graph/badge.svg
[codecov-url]: https://codecov.io/gh/dolanmiu/docx
[patreon-image]: https://user-images.githubusercontent.com/2917613/51251459-4e880480-1991-11e9-92bf-38b96675a9e2.png
[patreon-url]: https://www.patreon.com/dolanmiu
[browserstack-image]: https://user-images.githubusercontent.com/2917613/54233552-128e9d00-4505-11e9-88fb-025a4e04007c.png
[browserstack-url]: https://www.browserstack.com
